Subject: Edit in installer doesn't work

From: Jonathan Brielmaier <[email-masked]>
Date: Mon, 20 Jan 2020 12:43:02 +0100

Hi,

I followed Ludo's call for testing the installer. I built an installer
image from commit da76518. I couldn't find anything installer related on
master branch since then. You can found the image here:
https://brielmaier.net/guix-system-install-1.0.1-1.da76518.x86_64-linux.iso

I'm testing in the Hetzner "Cloud", so basically in a VM with
VGA/Display-output over HTTP. Everything is smooth until I click "Edit"
at the end. I add some stuff (vim, screen packages) to the config.scm in
nano, save it and then I click on "OK". Instead of the starting the
actual installation, I get back to the very beginning of the
installation proccess (choose locale).

You can't do the same again as the hard disk doesn't show up in the
partitioner anymore.

~Jonathan